---
title: Introduction
---

<script lang="ts">
import Introduction from '$examples/Introduction.svelte'
import ThrelteWrapper from '$examples/ThrelteWrapper.svelte'
</script>

# Introduction

Threlte is a component library for Svelte to build and render three.js scenes declaratively and state-driven in Svelte apps.

<ThrelteWrapper>
  <Introduction />
</ThrelteWrapper>

<details>
  <summary>Show code</summary>

@[code](../../examples/Introduction.svelte)

:::admonition type="info"
In order to be able to make use of context aware hooks like [useThrelte](/docs/hooks/useThrelte), some examples need to be nested in a [`<Canvas>`](/docs/components/canvas) component.
:::

</details>

It's inspired by the sensible defaults of [react-three-fiber](https://github.com/pmndrs/react-three-fiber), the simplicity and effectiveness of Sveltes reactivity model and [Svelte Cubed](https://github.com/Rich-Harris/svelte-cubed).

It provides strictly typed components to quickly and easily build three.js scenes with deep reactivity and interactivity out-of-the-box.

It also aims to provide the building blocks to quickly extend Threlte when it's needed.

:::admonition type="note"
Threlte is still in active development and you should expect breaking changes. Check the release notes before updating. If you want to be on the safe side, install Threlte with `npm i threlte three --save-exact` to lock the versions.
:::
