---
title: Helpers
---

# Helpers

## \<PositionalAudioHelper>

Helps in visualizing the Audio Cone from a `THREE.PositionalAudio` entity. This component needs to be a direct child of a `<PositionalAudio>` component!

#### Example

```svelte
<script>
  import { PositionalAudio, PositionalAudioHelper } from 'threlte'
</script>

<PositionalAudio
  directionalCone={{
    coneInnerAngle: 90,
    coneOuterAngle: 220,
    coneOuterGain: 0.3
  }}
  source={'/audio/some-track.mp3'}
>
  <PositionalAudioHelper />
</PositionalAudio>
```

#### Properties

```ts
// required
pass: THREE.Pass
```
